Aller au contenu
Boud’bOis, doc vendeurs
Server Actions

entreprise

6 Server Actions du domaine entreprise, générées depuis le registre de l’API agent.

entreprise__createMyGrid

Sans argument.

curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__createMyGrid",
  "args": []
}'

entreprise__previewMyGrid

ArgumentTypeRequis
piecePreviewPieceoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__previewMyGrid",
  "args": [
    "<piece>"
  ]
}'

entreprise__saveEntityLabelFormat

ArgumentTypeRequis
entityIdstringoui
formatIdstring | nulloui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__saveEntityLabelFormat",
  "args": [
    "<entityId>",
    "<formatId>"
  ]
}'

entreprise__saveEntityMinOrder

ArgumentTypeRequis
entityIdstringoui
rawstringoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__saveEntityMinOrder",
  "args": [
    "<entityId>",
    "<raw>"
  ]
}'

entreprise__saveVendorEntityProfile

ArgumentTypeRequis
entityIdstringoui
inputRawEntityProfileInputoui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__saveVendorEntityProfile",
  "args": [
    "<entityId>",
    "<input>"
  ]
}'

entreprise__setMyGridCell

ArgumentTypeRequis
cellGridCelloui
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
  -H "Authorization: Bearer $CLE" \
  -H "Content-Type: application/json" \
  -d '{
  "action": "entreprise__setMyGridCell",
  "args": [
    "<cell>"
  ]
}'